Retrieve a wallet

A single static wallet by UUID.

GET/static-wallets/{walletId}

System information

API key
Required
Rate limit
∞
curl "https://api.atomic.wallet/api/v1/static-wallets/{walletId}" \
  -H "x-api-key: $API_KEY"
{
  "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "projectUuid": "73e68013-32f0-4248-95ac-46aed61e59b0",
  "orderId": "order-1001",
  "description": "Customer wallet",
  "fiatAmount": "100.00",
  "fiatCurrency": "USD",
  "coinCode": "USDT",
  "networkCode": "tron"
}

Response fields

ParameterTypeDescription
uuidstringStatic wallet UUID.
projectUuidstringProject UUID.
orderIdstringOrder ID passed on creation.
descriptionstringDescription passed on creation.
fiatAmountstringAmount in fiat currency.
fiatCurrencystringFiat currency.
coinCodestringCryptocurrency code.
networkCodestringBlockchain network code.

Possible errors

HTTPCodeDescription
404PROJECT_STATIC_WALLET_NOT_FOUNDStatic wallet not found.